Package com.destroystokyo.paper.event.entity

# Class EndermanEscapeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
com.destroystokyo.paper.event.entity.EndermanEscapeEvent

All Implemented Interfaces:
  `Cancellable`

public class EndermanEscapeEvent extends EntityEvent implements Cancellable

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`EndermanEscapeEvent.Reason`

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EndermanEscapeEvent(@NotNull Enderman entity, @NotNull EndermanEscapeEvent.Reason reason)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Enderman`
`getEntity()`
Returns the Entity involved in this event
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull EndermanEscapeEvent.Reason`
`getReason()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Cancels the escape.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EndermanEscapeEvent

public EndermanEscapeEvent(@NotNull @NotNull Enderman entity, @NotNull @NotNull EndermanEscapeEvent.Reason reason)

## Method Details

### getEntity

@NotNull public @NotNull Enderman getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event

### getReason

@NotNull public @NotNull EndermanEscapeEvent.Reason getReason()

Returns:
  The reason the enderman is trying to escape

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Cancels the escape. If this escape normally would of resulted in damage avoidance such as indirect, the enderman will now take damage.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event